import usePolling from "../util/Polling"

const uri = '/api/games';

export default function useGamesApi(gamesReducer) {
    const [games, dispatchGames] = gamesReducer;

    const useList = (pollingReducer) => {
        const [polling, dispatchPolling] = pollingReducer;

        const mode = (polling.enabled === true)
            ? { interval_sec: 30 }      // update games list half a minue
            : { interval_stop: true }   // user has fliped OfflineToggel

        const [list, isFetching] = usePolling(uri, mode);

        if (polling.games !== isFetching) {
            dispatchPolling({ type: 'next', games: isFetching });
        }

        if (games.list !== list) {
            dispatchGames({ type: 'next', list });
        }

        return games;
    }

    return {
        list: useList
    }
}