import usePolling from "../util/Polling"

const uri = '/api/leaderboard';

export default function useLeaderboardApi(leaderboardReducer) {
    const [leaderboard, dispatchLeaderboaed] = leaderboardReducer;

    const usePoll = (pollingReducer) => {
        const [polling, dispatchPolling] = pollingReducer;

        const mode = (polling.enabled === true)
            ? { interval_sec: 300 }     // update leaderbord stats every 5 min
            : { interval_stop: true }   // user has fliped OfflineToggel

        const [table, isFetching] = usePolling(uri, mode);

        if (polling.leaderboard !== isFetching) {
            dispatchPolling({ type: 'next', leaderboard: isFetching });
        }

        if (leaderboard.table !== table) {
            dispatchLeaderboaed({ type: 'next', table });
        }

        return leaderboard;
    }

    return {
        poll: usePoll
    }
}