import './Leaderboard.css';
import React from "react"
import Loading from '../components/Loading';

export default function Leaderboard({ leaderboard, user }) {

  const table = leaderboard?.table;
  if (!table)
    return <Loading />

  const isCurrentUser = (playerName) =>
    user?.isCurrentUser(playerName) === true ? true : null;

  const tableRows = Object.keys(table).map(playerName => {
    var rank = table[playerName];

    return <tr key={playerName} className={isCurrentUser(playerName) && 'currentuser'}>
      <td>{playerName}</td>
      <td>{rank.gamesPlayed}</td>
      <td>{rank.gamesWon}</td>
      <td>{rank.gamesDraw}</td>
    </tr>
  });

  return (
    <div className="Leaderboard">
      <table>
        <thead>
          <tr>
            <th></th>
            <th>Played</th>
            <th>Won</th>
            <th>Draw</th>
          </tr>
        </thead>
        <tbody>
          {tableRows}
        </tbody>
      </table>
    </div>
  )
};